Runtime

## org.eclipse.gmf.runtime.emf.type.core.commands
Class DestroyReferenceCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
                      org.eclipse.gmf.runtime.emf.type.core.commands.DestroyReferenceCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class DestroyReferenceCommand

extends EditElementCommand

Command to destroy a reference from one element to another.

Constructor Summary
`DestroyReferenceCommand(DestroyReferenceRequest request)` Constructs a new command to destroy a model element.

Method Summary
`boolean` `canExecute()` Checks that the element to be modified by this command is of the correct kind.
`protected CommandResult` `doExecuteWithResult(IProgressMonitor monitor, IAdaptable info)` Implemented by subclasses to perform the model changes.
`protected org.eclipse.emf.ecore.EObject` `getContainer()` Gets element that contains the reference.
`protected org.eclipse.emf.ecore.EReference` `getContainingFeature()` Gets the feature in the `container` that contains the reference.
`protected org.eclipse.emf.ecore.EObject` `getReferencedObject()` Gets the referenced object.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
`getAffectedFiles, getEClass, getEClassToEdit, getElementToEdit, getRequest, isOK, setEClass, setElementToEdit`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### DestroyReferenceCommand

    public DestroyReferenceCommand(DestroyReferenceRequest request)

  Constructs a new command to destroy a model element.

  Parameters:
    `request` - the destroy element requestO

Method Detail

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor monitor,
                                                IAdaptable info)
                                         throws ExecutionException

  Description copied from class: `AbstractTransactionalCommand`
  Implemented by subclasses to perform the model changes. These changes are applied by manipulation of the EMF metamodel's API, not by executing commands on the editing domain's command stack.

  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `monitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

### getContainer

    protected org.eclipse.emf.ecore.EObject getContainer()

  Gets element that contains the reference.

  Returns:
    the element that contains the reference

### getContainingFeature

    protected org.eclipse.emf.ecore.EReference getContainingFeature()

  Gets the feature in the `container` that contains the reference.

  Returns:
    the feature in the `container` that contains the reference.

### getReferencedObject

    protected org.eclipse.emf.ecore.EObject getReferencedObject()

  Gets the referenced object.

  Returns:
    the referenced object.

### canExecute

    public boolean canExecute()

  Description copied from class: `EditElementCommand`
  Checks that the element to be modified by this command is of the correct kind.

  Specified by:
    `canExecute` in interface `IUndoableOperation`
  Overrides:
    `canExecute` in class `EditElementCommand`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.